package domain

type Role string

const (
	RoleSuperAdmin Role = "SUPER_ADMIN"
	RoleAdmin      Role = "ADMIN"
	RoleStudent    Role = "STUDENT"
	RoleInstructor Role = "INSTRUCTOR"
	RoleSupport    Role = "SUPPORT"
)

func (r Role) IsValid() bool {
	switch r {
	case RoleSuperAdmin, RoleAdmin, RoleStudent, RoleInstructor, RoleSupport:
		return true
	default:
		return false
	}
}

func (r Role) Value() string {
	return string(r)
}
